# Soft-FP sh3eb port of OpenLibm

This is a fork of [OpenLibm](https://github.com/JuliaMath/openlibm) with
support for the sh3eb architecture, intended for add-in programming on fx-9860G
and fx-CG 50.

## Building

You will need a GCC toolchain built with `--target=sh3eb-elf`, such as the
`sh-elf-gcc` commonly used on Planète Casio.

First locate the compiler's install directory. This is normally the
`lib/gcc/sh3eb-elf/<version>/` folder inside the install path of the compiler.

```
% PREFIX=$(sh-elf-gcc --print-search-dirs | grep install | sed 's/install: //')
```

You can then build and install the static `libopenlibm.a` archive and the headers.

```
% make USEGCC=1 TOOLPREFIX=sh-elf- libdir="$PREFIX" includedir="$PREFIX/include" install-static install-headers
```

## Using in a program

Simply link with `-lopenlibm` as you would do with `-lm`.

## README and Licensing

See the original README file in README-OpenLibm.md. OpenLibm contains code
covered by various licenses, see LICENSE.md.
